Package musicbrainz2 :: Module webservice :: Class TrackIncludes

[frames] | no frames]

# Class TrackIncludes

source code

    object --+
             |
     IIncludes --+
                 |
                TrackIncludes

A specification on how much data to return with a track.

Instance Methods

__init__(self, artist=False, releases=False, puids=False, artistRelations=False, releaseRelations=False, trackRelations=False, urlRelations=False, tags=False, ratings=False, isrcs=False) x.__init__(...) initializes x; see help(type(x)) for signature | source code

createIncludeTags(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, artist=False, releases=False, puids=False, artistRelations=False, releaseRelations=False, trackRelations=False, urlRelations=False, tags=False, ratings=False, isrcs=False)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### createIncludeTags(self)

source code

Overrides: IIncludes.createIncludeTags